devel/p5-PPI-XS - The NetBSD Packages Collection

Perl 5 XS acceleration for the PPI perl parser

PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.
Once installed, it will be auto-detected and loaded in by PPI completely
transparently.
Because the C implementations are linked to the perl versions of the same
function, it is preferable to upgrade PPI::XS any time you do a major upgrade
of PPI itself.

Build dependencies

devel/p5-ExtUtils-AutoInstall pkgtools/cwrappers

Runtime dependencies

devel/p5-PPI lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 8.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 8.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 8.0powerpcp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0powerpcp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0powerpcp5-PPI-XS-0.910nb3.tgz
NetBSD 8.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 8.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0aarch64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0aarch64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0aarch64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0alphap5-PPI-XS-0.910nb3.tgz
NetBSD 9.0alphap5-PPI-XS-0.910nb3.tgz
NetBSD 9.0alphap5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv6hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv6hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv6hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv6hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0earmv7hfp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0i386p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0mips64ebp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0mips64ebp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0mips64ebp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0mipselp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0mipselp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0powerpcp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0powerpcp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sh3elp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sh3elp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparc64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparc64p5-PPI-XS-0.910nb2.tgz
NetBSD 9.0sparc64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparc64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparcp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparcp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0sparcp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0vaxp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0vaxp5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz
NetBSD 9.0x86_64p5-PPI-XS-0.910nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.